<?php
include "../conexion.php";
$trat_id=$_GET['id'];   
$can=mysqli_query($con,"SELECT * from traslado_detalle_temp td where trat_id ='$trat_id'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$trat_id=$dato['trat_id'];
$trat_referencia=$dato['trat_referencia'];
$trat_nombre=$dato['trat_nombre'];
$trat_cantidad=$dato['trat_cantidad'];
?>
<form role="form" id="actualizar" > 
    <div id="div_actualizar"></div>
    <div>
        <label for="codigo_item" class="control-label">Código</label>
        <input type="text" class="form-control" id="codigo_item" name="codigo_item" placeholder="" value="<?php echo $trat_referencia; ?>" disabled required>
        <input type="hidden" name="id" value="<?php echo $trat_id; ?>">
    </div>
    <div >
        <label for="cantidad_item" class="control-label">Cantidad</label>
        <input type="number" class="form-control" value="<?php echo $trat_cantidad; ?>" name="cantidad" required>
    </div>
    <div>
        <label for="art_nombre" class="control-label">Descripción</label>
        <textarea class="form-control"  name="art_nombre" id="art_nombre" disabled> <?php echo $trat_nombre; ?></textarea>
    </div>
    <div class="modal-footer ">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
        <button id="btn_registrar" type="submit" class="btn btn-success pull-right">Modificar</button>
    </div>
</form>
<script>
$("#actualizar").submit(function( event ) {
$('#btn_registrar').attr("disabled", true);
var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_traslados/editar.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#div_actualizar').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#div_actualizar").html(datos);
      $('#btn_registrar').attr("disabled", false);
      $('#editModal').modal('hide');
      $('body').removeClass('modal-open');
      $('.modal-backdrop').remove();
      loadTabla();
      }
  });
  event.preventDefault();
})
</script>